services:
  nocodb:
    image: nocodb/nocodb:0.301.3
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    environment:
      NC_DB: "${PANEL_DB_TYPE}://${PANEL_DB_HOST}:${PANEL_DB_PORT}?u=${PANEL_DB_USER}&p=${PANEL_DB_USER_PASSWORD}&d=${PANEL_DB_NAME}"
    volumes:
      - ./data:/usr/app/data
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true